Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  abstract class Erasure extends SubComponent with InfoTransform with reflect.internal.transform.Erasure with Analyzer with TypingTransformers with TreeDSL with TypeAdaptingTransformer
  Definition Classes
    transform
- AbsAmbiguousTypeError
- AbsTypeError
- AccessTypeError
- Adaptation
- AdjustedTypeArgs
- AmbiguousImplicitTypeError
- AmbiguousTypeError
- AnalyzerPlugin
- CODE
- CacheAttachment
- CaseApplyDefaultGetters
- ClassForCaseCompanionAttachment
- ClassMethodSynthesis
- CompleterWrapper
- ConstructorDefaultsAttachment
- Context
- ContextReporter
- DefMacroExpander
- DefaultsOfLocalMethodAttachment
- Delayed
- DivergentImplicitTypeError
- DynamicRewriteAttachment
- EnterBridges
- Eraser
- ErasureMap
- ErasureTransformer
- ErrorUtils
- Failure
- Fallback
- Function1
- GenerateBridges
- GenericArray
- HasMember
- HasMethodMatching
- HasUnapply
- ImplicitAmbiguousMsg
- ImplicitAnnotationMsg
- ImplicitInfo
- ImplicitNotFoundMsg
- ImplicitSearch
- ImplicitsContextErrors
- ImportContext
- ImportInfo
- InferCheckable
- Inferencer
- InferencerContextErrors
- JavaErasureMap
- JavaReflectionResolvers
- LockingTypeCompleter
- MacroArgs
- MacroExpander
- MacroExpanderAttachment
- MacroExpansionAttachment
- MacroImplBinding
- MacroImplRefAttachment
- MacroPlugin
- MacroRuntimeAttachment
- MacroRuntimeResolver
- MacroStatus
- Message
- MethodSynth
- NamedApplyBlock
- NamedApplyInfo
- Namer
- NamerContextErrors
- NamesDefaultsErrorsGen
- NoContext
- NoInstance
- NormalTypeError
- OpenImplicit
- OriginalTreeAttachment
- PatternTyper
- Phase
- PolyTypeCompleter
- PosAndMsgTypeError
- RichTree
- ScalaErasureMap
- SearchResult
- Shadower
- SilentResult
- SilentResultValue
- SilentTypeError
- Skipped
- StabilizingDefinitions
- StdPhase
- Success
- SuperArgsAttachment
- SuppressMacroExpansionAttachment
- SymbolCompleterAttachment
- SymbolExpansionAttachment
- SymbolSourceAttachment
- SymbolTypeError
- Tag
- TreeTypeError
- TypeAdapter
- TypeCompleter
- TypeCompleterBase
- TypeDiag
- TypeErrorWithUnderlyingTree
- TypeErrorWrapper
- TypedExpectingUnitAttachment
- Typer
- TyperContextErrors
- TyperDiagnostics
- TypingTransformer
- UnapplyMemberResult
- UnknownSig
- WeakSymbolAttachment
- approximateAbstracts
- checkDead
- checkNoEscaping
- checkUnused
- instantiate
- javaErasure
- namerFactory
- packageObjects
- specialScalaErasure
- toOrigin
- typerFactory
- typingStack

c

scala.tools.nsc.transform.Erasure

# ErasureTransformer

###

#### class ErasureTransformer extends Global.Transformer

The erasure transformer

Source
  Erasure.scala

Linear Supertypes
Global.Transformer, Global.InternalTransformer, Global.Transformer, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ErasureTransformer
2. Transformer
3. InternalTransformer
4. Transformer
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ErasureTransformer(unit: Global.CompilationUnit)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ErasureTransformer toany2stringadd[ErasureTransformer] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ErasureTransformer, B)
   Implicit
     This member is added by an implicit conversion from ErasureTransformer toArrowAssoc[ErasureTransformer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def addBridgesToLambda(lambdaClass: Global.Symbol): Unit
7.  def addBridgesToTemplate(stats: List[Global.Tree], base: Global.Symbol): List[Global.Tree]
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def atOwner[A](owner: Global.Symbol)(trans: => A): A
   Definition Classes
     Transformer
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def currentClass: Global.Symbol
    Attributes
      protected
    Definition Classes
      Transformer
12.  def currentMethod: Global.Symbol
    Attributes
      protected
    Definition Classes
      Transformer
13.  var currentOwner: Global.Symbol
    Attributes
      protected[scala]
    Definition Classes
      Transformer
14.  def ensuring(cond: (ErasureTransformer) => Boolean, msg: => Any): ErasureTransformer
    Implicit
      This member is added by an implicit conversion from ErasureTransformer toEnsuring[ErasureTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (ErasureTransformer) => Boolean): ErasureTransformer
    Implicit
      This member is added by an implicit conversion from ErasureTransformer toEnsuring[ErasureTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: => Any): ErasureTransformer
    Implicit
      This member is added by an implicit conversion from ErasureTransformer toEnsuring[ErasureTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): ErasureTransformer
    Implicit
      This member is added by an implicit conversion from ErasureTransformer toEnsuring[ErasureTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ErasureTransformer toStringFormat[ErasureTransformer] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
22.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  def transform(tree: Global.Tree): Global.Tree

    The main transform function: Pretransform the tree, and then re-type it at phase erasure.next.

    The main transform function: Pretransform the tree, and then re-type it at phase erasure.next.

    Definition Classes
      ErasureTransformer → InternalTransformer → Transformer
31.  def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]
    Definition Classes
      Transformer
32.  def transformIdents(trees: List[Global.Ident]): List[Global.Ident]
    Definition Classes
      Transformer
33.  def transformMemberDefs(trees: List[Global.MemberDef]): List[Global.MemberDef]
    Definition Classes
      Transformer
34.  def transformModifiers(mods: Global.Modifiers): Global.Modifiers
    Definition Classes
      Transformer
35.  def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]
    Definition Classes
      Transformer
36.  def transformTemplate(tree: Global.Template): Global.Template
    Definition Classes
      Transformer
37.  def transformTrees(trees: List[Global.Tree]): List[Global.Tree]
    Definition Classes
      Transformer
38.  def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]
    Definition Classes
      Transformer
39.  def transformUnit(unit: Global.CompilationUnit): Unit
    Definition Classes
      Transformer
40.  def transformValDef(tree: Global.ValDef): Global.ValDef
    Definition Classes
      Transformer
41.  def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]
    Definition Classes
      Transformer
42.  def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]
    Definition Classes
      Transformer
43.  val treeCopy: Global.TreeCopier
    Definition Classes
      Transformer
44.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
45.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (ErasureTransformer, B)
   Implicit
     This member is added by an implicit conversion from ErasureTransformer toArrowAssoc[ErasureTransformer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Global.Transformer

### Inherited from Global.InternalTransformer

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromErasureTransformer to any2stringadd[ErasureTransformer]

### Inherited by implicit conversion StringFormat fromErasureTransformer to StringFormat[ErasureTransformer]

### Inherited by implicit conversion Ensuring fromErasureTransformer to Ensuring[ErasureTransformer]

### Inherited by implicit conversion ArrowAssoc fromErasureTransformer to ArrowAssoc[ErasureTransformer]

### Ungrouped